package example_person_animals_ver2;

public abstract class Animal {
	protected String name;
	
	public Animal(String name) {
		this.name = name;
	}
	
	public boolean equals(Object o) {
		if(o instanceof Animal) {
			Animal a = (Animal)o;
			return this.name.equals(a.name);
		}
		return false;
	}

	public String getName() {
		return name;
	}
	
	public abstract String makeSound();   
}


