package exercise_drawing_shapes;

public class Rectangle extends Shape {
	private double length, width;
	
	public Rectangle(String color, double length, double width) {
		super(color);
		this.length = length;
		this.width = width;
	}

	public double getLength() {
		return length;
	}

	public void setLength(double length) {
		this.length = length;
	}

	public double getWidth() {
		return width;
	}

	public void setWidth(double width) {
		this.width = width;
	}

	@Override
	public double getArea() {
		return length*width;
	}

	@Override
	public double getPerimeter() {
		return 2*(length+width);
	}

	@Override
	public String toString() {
		return String.format("Rectangle [length=%.2f, width=%.2f, getArea()=%.2f, getPerimeter()=%.2f, getColor()=%s]",
				length, width, getArea(), getPerimeter(), getColor());
	}
	
	
}
