package exercise_grade_report;

import java.util.ArrayList;
import java.util.Arrays;

public class GradeReportScaledTest {

	public static void main(String[] args) {
		testCreation();
		testCalcAverageScaled();
	}

	private static void testCreation() {
		System.out.println("-->testCreation()");
		String className = "CS 4820";
		GradeReportScaled gr = new GradeReportScaled(className, getScores(), 0.05);
		
		System.out.println("Expected class name = " + className);
		System.out.println("  Actual class name = " + gr.getName());
	}
	
	private static void testCalcAverageScaled() {
		System.out.println("\n-->testCalcAverageScaled()");
		String className = "CS 4820";
		GradeReportScaled gr = new GradeReportScaled(className, getScores(), 0.05);
		
		System.out.println("Expected: Calculated Score Average = 84.56");
		System.out.println(String.format("  Actual: Calculated Score Average = %.2f", gr.calcAverage()));
	}
	
	
	/**
	 * Helpers
	 */
	private static ArrayList<Double> getScores() {
		ArrayList<Double> scores = new ArrayList<>(Arrays.asList(
				87.5, 77.3, 98.2, 65.5, 95.4, 81.1, 79.0, 51.3, 99.9,
				82.7, 87.2, 74.9, 63.1, 78.4, 91.5, 96.3, 69.9, 70.4
				));
		return scores;
	}
}
