package example_comparable_rectangles;

public class ComparableRectangle extends Rectangle implements Comparable<ComparableRectangle> {

	public ComparableRectangle(double width, double height) {
		super(width, height);
	}

	@Override
	public int compareTo(ComparableRectangle other) {
		double diff = this.getArea()-other.getArea();
		if(diff>0) return 1;
		else if(diff<0) return -1;
		else return 0;
	}

	@Override
	public boolean equals(Object o) {
		ComparableRectangle r = (ComparableRectangle)o;
		return this.getArea()==r.getArea();
	}

}
