package example_person_animals_ver3;

public abstract class Animal implements Comparable<Animal> {
	protected String name;
	
	public Animal(String name) {
		this.name = name;
	}
	
	public boolean equals(Object o) {
		if(o instanceof Animal) {
			Animal a = (Animal)o;
			return this.name.equals(a.name);
		}
		return false;
	}

	public String getName() {
		return name;
	}
	
	@Override
	public int compareTo(Animal a) {
		return this.name.compareTo(a.name);
	}

	public abstract String makeSound();   
}


