package example_person_animals_ver3;

public class Bird extends Animal implements Flyer {
	public Bird(String name) { 
		super(name); 
	}

	public String makeSound() { 
		return "Chirp"; 
	}

	@Override
	public String fly() {
		return name + " is flying";
	}

	@Override
	public String soar() {
		return name + " is soaring";
	}

	@Override
	public String toString() {
		return "Bird: name=" + name;
	}
}
