package example_person_clone_deep;

public class Person1 implements Cloneable {

	private int age;
	
	public Person1( int age ) {
		this.age = age;
	}
	
	public Object clone() throws CloneNotSupportedException {
		return super.clone();
	}
	
	public int getAge() { return age; }
	public void setAge(int age) { this.age = age; }
	
	public String toString() {
		return "" + age;
	}
	
	public static void main(String[] args) throws CloneNotSupportedException {
		Person1 p1 = new Person1( 24 );
		Person1 p2 = (Person1)p1.clone();	
		p2.setAge(33);
		System.out.println( p1 + "\n" + p2 );
	}
		
}
