package exercise_books;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;

public class BookTest {

	public static void main(String[] args) {
		ArrayList<Book> books = new ArrayList<>(Arrays.asList(
			new Book("Moby Dick"),
			new Book("The Odyssey"),
			new Book("Gulliver's Travels"),
			new Book("Zen & the art of Motorcycle Maintenance"),
			new Book("The Grapes of Wrath"),
			new Book("Heart of Darkness "),
			new Book("Crime and Punishment")
		));

		printBooks(books, "Before Sort\n-----------");
		Collections.sort(books);
		printBooks(books, "After Sort\n----------");

	}

	private static void printBooks(ArrayList<Book> books, String msg) {
		System.out.println("\n" + msg);
		for(Book b : books) {
			System.out.println(b);
		}
	}

}
