package exercise_person_arm_clone;

public class Person implements Cloneable {
	private String name;
	private Arm leftArm;
	private Arm rightArm;

	public Person(String name) {
		this.name = name;
	}

	public Arm getLeftArm() {
		return leftArm;
	}

	public void setLeftArm(Arm leftArm) {
		this.leftArm = leftArm;
	}

	public Arm getRightArm() {
		return rightArm;
	}

	public void setRightArm(Arm rightArm) {
		this.rightArm = rightArm;
	}

	public String getName() {
		return name;
	}

	public Object clone() throws CloneNotSupportedException {
		Person pClone = (Person)super.clone();
		pClone.setLeftArm((Arm)leftArm.clone());
		pClone.setRightArm((Arm)rightArm.clone());
		return pClone;
	}

	@Override
	public String toString() {
		String msg = "Person: Name=" + name;
		msg += "\n   Left Arm=" + leftArm;
		msg += "\n  Right Arm=" + rightArm;
		return msg;
	}

}
