package exercise_person_arm_clone;

public class PersonDriver {

	public static void main(String[] args) throws CloneNotSupportedException {
		Person p = new Person("Alfonso");
		Arm leftArm = new Arm(5,true);
		Arm rightArm = new Arm(4,true);
		p.setLeftArm(leftArm);
		p.setRightArm(rightArm);
		System.out.println("Original:\n" + p);
		
		Person pClone = (Person)p.clone();
		System.out.println("\nClone:\n" + pClone);
		
		pClone.setLeftArm(new Arm(3,false));
		
		System.out.println("\nOriginal:\n" + p);
		System.out.println("\nClone after left arm swap:\n" + pClone);

	}

}
